<Cabbage>
form caption("Simple Compressor Lite v1.0") size(390, 290), colour(0, 0, 0), pluginId("kscl")

; Controlli dell'interfaccia grafica
groupbox bounds(10, 10, 370, 130), text("Compressor"), colour(10, 10, 10), fontColour(255, 255, 255)

rslider bounds(20, 40, 80, 80), channel("thresh"), range(-60, 0, -20, 1, 0.01), text("Thresh (dB)"), colour(200, 200, 200), trackerColour(255, 198, 0)
rslider bounds(110, 40, 80, 80), channel("ratio"), range(1, 10, 3, 1, 0.1), text("Ratio"), colour(200, 200, 200), trackerColour(255, 198, 0)
rslider bounds(200, 40, 80, 80), channel("attack"), range(0.001, 0.2, 0.01, 1, 0.001), text("Attack (s)"), colour(200, 200, 200), trackerColour(255, 198, 0)
rslider bounds(290, 40, 80, 80), channel("release"), range(0.05, 1, 0.1, 1, 0.01), text("Release (s)"), colour(200, 200, 200), trackerColour(255, 198, 0)

groupbox bounds(210, 150, 170, 130), text("Output"), colour(10, 10, 10), fontColour(255, 255, 255)
rslider bounds(250, 180, 100, 100), channel("gain"), range(-12, 12, 0, 1, 0.1), text("Gain (dB)"), colour(200, 200, 200), trackerColour(255, 198, 0)

groupbox bounds(10, 150, 190, 130), text("KLAMPER AUDIO"), colour(0, 0, 0), fontColour(255, 198, 0)
label bounds(10, 200, 190, 13), text("Simple Compressor Lite v1.0"), fontColour(255, 255, 255)
label bounds(10, 240, 190, 11), text("www.klamperaudio.com"), fontColour(255, 255, 255)
</Cabbage>
</Cabbage>

<CsInstruments>

ksmps = 16
nchnls = 2
0dbfs = 1

instr 1
endin

/* Encrypted orc
712.iyTB7PkFdUxbbOV8wgpwG6NY3mNMWT9JmRJmsPpMs3gWs85yrEE17T59CMEpQRR.8MoIulzcw89W8U96TgTgVzfVh.JynhVemSZCnVULi4WQm4KzmXLAIhpH8GtxVyP8.wgqZRn84xR7qJODiO.1Dov4FR.LOvg37XaolabgAlp620waZchJByJMpD.YmtbenJR+gqr0LTuFFtDjG5svfRbRWxjSXHZI9cGw0MQ0S9leoNEo1KphXEcice1pY9OsX2k9bWEkMvXaqH.is367EualcH5sv5O1ShUSjVNOR2elYeZ39N6Qk4yYPAyGHtrf1Ll8xLwVlQ.VRNbndKAr4eucgeoQiPOGAkP8Q3hvkpc6T+XCqeAznbQbDLT2SAXYcPC.VHkFCbLo6quUVDL.W09SgK7an2w+vIHH1RmAz01AYjQKa13mwMjaia65bLZ+eQb7wn6WfhJT.5y51jx00nVnKBt8G3REvb15s+wQ0htJ.ZIArU+eCkHF3HNPf3si4KLMxtFjIV3lG5mwk9B3I4WzU0O9ChhwCllRhGPdXvlPC+giijuMVK9UafDkBIAy2nIb+dnv2cXiqH4WQSqssducgeoQiPOGhmFrkBiSSJ0UKJM.pqsGDJt3Xt.FiW02UqesRq1c+JquSG1PDPsbA3.oXGL5C6iWgCNi8eYwirvBwp2SgelboiCOWhBHMQof012.mo0m4R9OlMchC5kfPnrQskVFG7o9Qt3j3ch8UGpPpGpo9rdkCQyU35ztQrjTy2mlgQsp7xqPoun8LrmjELH6ibybwE+LQDUIDjxnTzuVRUr0ilqLein5HKZoXXS20ZRNGWpy22MGOpcQmUqBpfheBUPLZs+73QduckAphTy4e9jsYWb40pQfBdeMgtCmxEWokjOQLL9qSU8wzDborSzsEDzVYno7kQG1HI4bF65MTYSGeH0KyB
End of encrypted orc */
</CsInstruments>

<CsScore>
f0 z
/* Encrypted sco
64.drrg+MFA3ZEfUSupGSQmqY7hxVgWfi6V0IUb.G3IDvyw3er.qhDhIxhWogNs7wyu9Y8vo1+S2k7FNHvoYMzgDA
End of encrypted sco */
</CsScore>

</CsoundSynthesizer>